[vlc-commits] bootstrap: fail hard if flex or bison are missing and needed

Rémi Denis-Courmont git at videolan.org
Sun Dec 3 13:57:53 CET 2017


vlc/vlc-3.0 | branch: master | Rémi Denis-Courmont <remi at remlab.net> | Sun Dec  3 14:56:48 2017 +0200| [1c60a0f7db1a5153443bb3abd074e48ad7e68033] | committer: Rémi Denis-Courmont

bootstrap: fail hard if flex or bison are missing and needed

(cherry picked from commit 31acc2f0e75352c56b742d33d6852b209133b05e)

> http://git.videolan.org/gitweb.cgi/vlc/vlc-3.0.git/?a=commit;h=1c60a0f7db1a5153443bb3abd074e48ad7e68033
---

 bootstrap | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

diff --git a/bootstrap b/bootstrap
index e701f519d1..995fee2011 100755
--- a/bootstrap
+++ b/bootstrap
@@ -52,21 +52,17 @@ fi
 
 # Check for flex and bison
 if ! flex --version >/dev/null 2>&1; then
-	cat << EOF
-NOTE: flex appears to be missing. Please install it.
-Otherwise, you might not be able to build properly.
-==========================================================================
-
-EOF
+	echo "ERROR: flex is not installed." >&2
+	if ! test -f modules/codec/webvtt/CSSLexer.c; then
+		exit 1
+	fi
 fi
 
 if ! bison --version >/dev/null 2>&1; then
-	cat << EOF
-NOTE: bison appears to be missing. Please install it.
-Otherwise, you might not be able to build properly.
-==========================================================================
-
-EOF
+	echo "ERROR: GNU bison is not installed." >&2
+	if ! test -f modules/codec/webvtt/CSSGrammar.c; then
+		exit 1
+	fi
 fi
 
 ###



More information about the vlc-commits mailing list